<!DOCTYPE html>

<html lang="en">

<head>

    <meta charset="utf-8">

    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="Pragma" content="no-cache"/>
    <meta http-equiv="Expires" content="0"/>

    <meta name="description" content="A fully responsive, HTML5 based admin theme">

    <meta name="keywords" content="Responsive, HTML5, business, professional, Adapt, web design, CSS3">

    <title>Wieldy - Docs</title>    <!-- Site favicon -->

    <link rel="shortcut icon" type="image/x-icon" href="images/favicon.ico">    <!-- /site favicon -->

    <!-- Ant font stylesheet -->

    <link rel="stylesheet" href="fonts/material-design-iconic-font/css/material-design-iconic-font.min.css">

    <!-- /material font stylesheet -->    <!-- Bootstrap stylesheet min version -->

    <link href="css/bootstrap.css" rel="stylesheet">    <!-- /bootstrap stylesheet min version -->

    <!-- Style css stylesheet -->

    <link href="css/style.css" rel="stylesheet">    <!-- /style css stylesheet -->    <!-- Highlight css stylesheet -->

    <link href="js/plugin/highlight/styles/dark.css" rel="stylesheet">    <!-- /highlight css stylesheet -->

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->

    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->    <!--[if lt IE 9]>

    <script src="js/html5shiv.min.js"></script>

    <script src="js/respond.min.js"></script>    <![endif]--></head>

<body><!--Site-->

<div class="site">    <!--Site header-->

    <header class="site-header">

        <nav class="navbar fixed-top navbar-expand-lg d-flex align-items-center">

            <div class="container">

                <div class="navbar-bottom"><a class="site-logo" href="index.html"> <img src="images/logo.png"

                                                                                        alt="Wieldy" title="Wieldy">
                </a>

                    <div class="d-flex flex-grow-1">

                        <ul class="quick-links align-self-center">

                            <li><a target="_blank" href="http://wieldy.g-axon.com/">
                                <i class="zmdi zmdi-open-in-new zmdi-hc-fw"></i>Take Demo</a></li>

                            

                        </ul>

                    
					</div>

                </div>

            </div>

        </nav>

    </header>    <!--/site header-->    <!--Site main-->

    <main class="site-main">

        <div class="container">

            <div class="site-main-inner">
			<section class="docs-section">
<div>
    <h3>Charts</h3>
    <p class="comments-section">If you want to render Recharts component like the following images. The configurations are given in the
    </p>
    <h4 id="basic-example-2">Simple LineChart</h4>
    <p class="center-cropped center-cropped-lg"><img src="./images/component/line-chart.png" alt=""/></p>
    <p class="comments-section">To show this type of LineChart you will need this code in down here.
    </p>

    <pre>
     <code class="html">
&lt;ResponsiveContainer width="100%" height={200}&gt;
    &lt;LineChart data={data}
               margin={{top: 10, right: 0, left: -25, bottom: 0}}&gt;
        &lt;XAxis dataKey="name" /&gt;
        &lt;YAxis /&gt;
        &lt;CartesianGrid strokeDasharray="3 3" /&gt;
        &lt;Tooltip /&gt;
        &lt;Legend /&gt;
        &lt;Line type="monotone" dataKey="pv" stroke="#3367d6" activeDot={{r: 8}} /&gt;
        &lt;Line type="monotone" dataKey="uv" stroke="#ffc658" /&gt;
    &lt;/LineChart&gt;
&lt;/ResponsiveContainer&gt;
  </code>
</pre>

    <h4>Bar Chart</h4>
    <p class="center-cropped center-cropped-lg"><img src="./images/component/bar-chart.png" alt=""/></p>
    <pre>
<code class="html">
&lt;ResponsiveContainer width="100%" height={200}&gt;
    &lt;BarChart data={data}
              margin={{top: 10, right: 0, left: -25, bottom: 0}}&gt;
        &lt;XAxis dataKey="name" /&gt;
        &lt;YAxis /&gt;
        &lt;CartesianGrid strokeDasharray="3 3" /&gt;
        &lt;Tooltip /&gt;
        &lt;Legend /&gt;
        &lt;Bar dataKey="pv" fill="#3367d6" /&gt;
        &lt;Bar dataKey="uv" fill="#ffc658" /&gt;
    &lt;/BarChart&gt;
&lt;/ResponsiveContainer&gt;
</code>
</pre>

    <h4>Area Chart</h4>
    <p class="center-cropped center-cropped-lg"><img src="./images/component/area-chart.png" alt=""/></p>
    <pre>
<code class="html">
&lt;ResponsiveContainer width="100%" height={200}&gt;
    &lt;AreaChart data={data}
               margin={{top: 10, right: 0, left: -25, bottom: 0}}&gt;
        &lt;XAxis dataKey="name" /&gt;
        &lt;YAxis /&gt;
        &lt;CartesianGrid strokeDasharray="3 3" /&gt;
        &lt;Tooltip /&gt;
        &lt;Area type='monotone' dataKey='uv' stroke='#3367d6' fill='#3367d6' /&gt;
    &lt;/AreaChart&gt;
&lt;/ResponsiveContainer&gt;
</code>
</pre>

    <h4>Two Level Pie Chart</h4>
    <p><img src="./images/component/pie-chart.png" alt=""/></p>
    <pre>
<code class="html">
&lt;ResponsiveContainer width="100%" height={300}&gt;
    &lt;PieChart&gt;
        &lt;Pie dataKey="value" data={data01} outerRadius={60} fill="#3367d6" /&gt;
        &lt;Pie dataKey="value" data={data02} innerRadius={70} outerRadius={90} fill="#ffc658"
             label /&gt;
    &lt;/PieChart&gt;
&lt;/ResponsiveContainer&gt;
</code>
</pre>


</div>
</section>

                <div class="sidebar-wrapper">

                    <aside class="right-sidebar">

                        <ul class="sidebar-menu">

                            <li><a href="javascript:void(0)" class="collapse-hadle">About Wieldy </a>

                                <ul class="sub-menu document-menus">

                                    <li ><a href="javascript:void(0);" data-template="introduction">Introduction</a>

                                    </li>

                                    <li><a href="javascript:void(0);" data-template="product-overview">Product

                                        Overview</a></li>

                                </ul>

                            </li>

                            <li><a href="javascript:void(0)" class="collapse-hadle">Installation</a>

                                <ul class="sub-menu document-menus">

                                    <li><a href="#setup-dev-env" data-template="setup-dev-env">Setup Development

                                        Environment</a></li>

                                    <li><a href="#setup-wieldy" data-template="setup-wieldy">Setup Wieldy</a></li>

                                </ul>

                            </li>

                            <li><a href="javascript:void(0)" class="collapse-hadle">Structure &amp; Layouts</a>

                                <ul class="sub-menu document-menus">

                                    <li><a href="#folder-file-structure" data-template="folder-file-structure">Folder

                                        and File Structure</a></li>

                                    <li><a href="#layout-structure" data-template="layout-structure">Layout
                                        Structure</a>

                                    </li>

                                </ul>

                            </li>

                            <li><a href="javascript:void(0)" class="collapse-hadle">Settings &amp; Customization</a>

                                <ul class="sub-menu document-menus">

                                    <li><a href="#change-color-theme" data-template="change-color-theme">Change Color

                                        Theme</a></li>

                                    <li><a href="#vertical-navigation-style" data-template="vertical-navigation-style">Vertical

                                        Navigation style</a></li>

                                    <li><a href="#horizontal-navigation-style"

                                           data-template="horizontal-navigation-style">Horizontal Navigation style</a>

                                    </li>

                                    <li><a href="#change_layouts"

                                           data-template="change_layouts">Layout style</a>

                                    </li>
                                    <li><a href="#change_themes"

                                           data-template="change_themes">Theme style</a>

                                    </li>

                                </ul>

                            </li>

                            <li>

                                <a href="javascript:void(0)" class="collapse-hadle">Add New Menu</a>

                                <ul class="sub-menu document-menus">

                                    <li>

                                        <a href="#to-horizontal-nav" data-template="to-horizontal-nav">To Horizontal

                                            Nav</a></li>

                                    <li>

                                        <a href="#to-vertical-nav" data-template="to-vertical-nav">To Vertical Nav</a>

                                    </li>

                                </ul>

                            </li>

                            <li><a href="javascript:void(0)" class="collapse-hadle">Multi Language</a>

                                <ul class="sub-menu document-menus">

                                    <li><a href="#add-new-language" data-template="add-new-language">Add New

                                        Language</a></li>

                                </ul>

                            </li>

                            
                            <li class="open"><a href="javascript:void(0)" class="collapse-hadle">Other Elements</a>

                                <ul class="sub-menu document-menus" style="display:block">

                                    <!-- <li><a href="#widgets" data-template="widgets">Widgets</a></li>-->

                                    <li><a href="#map" data-template="map">Map</a></li>

                                    <li class="active"><a href="#chart" data-template="chart">Charts</a></li>

                                    <li><a href="#calendar" data-template="calendar">Calendar</a></li>

                                </ul>

                            </li>

                        </ul>

                    </aside>

                    <a href="javascript:void(0)" class="btn-fixed"> <span class="hamburger-inner"></span> </a></div>

            </div>

        </div>

    </main>    <!--/site main-->    <!--Site footer-->

    <footer class="site-footer">

        <div class="container">

            <div class="row">

                <div class="col-lg-3">

                    <div class="footer-logo footer-widget"><img src="images/logo.png" alt="Footer logo"></div>

                    <p class="copy-right">Copyright © 2018 G-axon</p></div>

                <div class="col-lg-8">

                    <ul class="footer-menu-wrapper">

                        <li>

                            <div class="footer-widget"><h3 class="footer-menu-title">Products</h3>

                                <ul class="footer-menu">

                                    <li><a target="_blank"

                                           href="https://wrapbootstrap.com/theme/mouldifi-html-react-redux-admin-template-WB009538N">Mouldifi</a>

                                    </li>

                                    <li><a target="_blank"

                                           href="https://themeforest.net/item/jumbo-admin-responsive-admin-dashboard-template/21368029?s_rank=1">Jumbo

                                        Admin</a></li>

                                    <li><a target="_blank"

                                           href="https://themeforest.net/item/wieldy-react-redux-admin-template/22277962?s_rank=1">Flexile</a>
                                    </li>
                                    <li><a target="_blank"

                                           href="https://themeforest.net/item/react-material-bootstrap-4-admin-template/20978545?s_rank=2">Jumbo

                                        React</a></li>

                                    <li><a target="_blank"

                                           href="https://codecanyon.net/item/support-chat-php-live-chat-with-desktop-and-mobile-app/15044181?s_rank=2">Chatbull</a>

                                    </li>
                                </ul>
                            </div>
                        </li>

                        <li>

                            <div class="footer-widget"><h3 class="footer-menu-title">Support</h3>

                                <ul class="footer-menu">

                                    <!-- <li>                                         <a href="javascript:void(0)">Community</a>                                     </li>-->

                                    <li>

                                        <a target="_blank"
                                           href="https://themeforest.net/item/wieldy-react-redux-admin-template/22277962/support">
                                            Submit a Ticket</a></li>

                                    <!--<li>                                        <a href="javascript:void(0)">Live Chat</a>                                    </li>-->

                                </ul>

                            </div>

                        </li>

                    </ul>

                </div>

            </div>

        </div>

    </footer>    <!--/site foter--></div><!--/site--><!--Load JQuery-->

<script src="js/jquery.min.js"></script>

<script src="js/bootstrap.bundle.min.js"></script>

<script src="js/plugin/highlight/highlight.pack.js"></script>

<script src="js/functions.js"></script>

</body>

</html>